<div class="wrap" id="trinity-admin-contact-us">
  <!-- render iframe so we can generate report -->
  <iframe src="admin.php?page=trinity_audio_info" style="display: none"></iframe>

  <h1>Contact us</h1>

  <p>Write us if you have some feedback or have some issues. We'll contact you back!</p>

  <form method="post">
    <table class="form-table">
      <tr>
        <th>
          <label for="<?php echo esc_attr(TRINITY_AUDIO_SENDER_EMAIL); ?>">
            Email:
          </label>
        </th>
        <td><?php trinity_sender_email(); ?></td>
      </tr>
      <tr>
        <th>
          <label for="<?php echo esc_attr(TRINITY_AUDIO_SENDER_NAME); ?>">
            Name:
          </label>
        </th>
        <td><?php trinity_sender_name(); ?></td>
      </tr>
      <tr>
        <th>
          <label for="<?php echo esc_attr(TRINITY_AUDIO_SENDER_MESSAGE); ?>">
            Message:
          </label>
        </th>
        <td><?php trinity_sender_message(); ?></td>
      </tr>
      <tr>
        <th>
          <label for="<?php echo esc_attr(TRINITY_AUDIO_SENDER_INCLUDE_LOG); ?>">
            Include logs:
          </label>
        </th>
        <td><?php trinity_sender_include_logs(); ?></td>
      </tr>
    </table>

    <div class="trinity-submit-wrapper">
      <button class="button button-primary">Send</button>
      <span class='trinity-status-wrapper'>
        <span class="status success">
            <span class="dashicons dashicons-yes"
                  style="color: green"></span>
            <span>Message successfully sent!</span>
        </span>
        <span class='status error'>
            <span class='dashicons dashicons-dismiss'
                  style='color: red'></span>
            <span>A problem occurred while sending. Please try again later</span>
        </span>
        <span class='status progress'>
            <span class='dashicons dashicons-update'></span>
            <span class='description'>Sending...</span>
        </span>
      </span>
    </div>
  </form>
</div>

<?php
  function trinity_came_from_logs() {
    return isset($_GET['from']) && $_GET['from'] === 'logs';
  }

  function trinity_sender_email() {
    $value = trinity_get_user_email();
    echo "<input type='text' required value='" . esc_attr($value) . "' name='email' id='" . esc_attr(TRINITY_AUDIO_SENDER_EMAIL) . "' class='regular-text'/>";
  }

  function trinity_sender_name() {
    $value = trinity_get_user_name();
    echo "<input type='text' value='" . esc_attr($value) . "' name='name' id='" . esc_attr(TRINITY_AUDIO_SENDER_NAME) . "' class='regular-text'/>";
  }

  function trinity_sender_message() {
    $value = trinity_came_from_logs() ? "Hi!\n\nHave some issues with .... [PLEASE DESCRIBE WHAT ISSUE DO YOU HAVE]" : '';

    echo "<textarea required rows='10' name='message' id='" . esc_attr(TRINITY_AUDIO_SENDER_MESSAGE) . "' class='large-text'>" . esc_html($value) . '</textarea>';
  }

  function trinity_sender_include_logs() {
    echo "<input type='checkbox' name='include_log' id='" . esc_attr(TRINITY_AUDIO_SENDER_INCLUDE_LOG) . "' checked value='1'>";

    echo '<p class="description">Select this option if you have some issues, so we can check your plugin logs</p>';
  }
