<!-- keep styles here, as they will be sent as logs -->
<style>
    .trinity-phpinfo iframe {
        width: 100%;
        height: 700px;
    }

    .trinity-monospace {
        white-space: pre-line;
    }

    table.trinity-inner td {
        padding: 5px 10px;
    }
</style>

<div class="wrap" id="trinity-admin-info">
  <div class="header-wrapper">
    <h1>General Info</h1>
    <div style="text-align: right">
      <a href="admin.php?page=trinity_audio_contact_us&from=logs">Send this report to Trinity Audio support
        team</a>
      <div>This report will be automatically attached if <strong>Include logs</strong> is checked in <strong>Contact
          us</strong> page
      </div>
    </div>
  </div>

  <table class="form-table">
    <tr>
      <th>
        <label>Install key:</label>
      </th>
      <td><?php trinity_info_show_install_key(); ?></td>
    </tr>
    <tr>
      <th>
        <label>Credits:</label>
      </th>
      <td><?php trinity_info_show_credits(); ?></td>
    </tr>
    <tr style="display: none;">
      <th>
        <label for='<?php echo TRINITY_AUDIO_PUBLISHER_TOKEN; ?>'>
          Account Key:
        </label>
      </th>
      <td>
        <?php if (trinity_get_is_account_key_linked()) { ?>
          Installation is connected to Trinity Account
        <?php } else { ?>
          <form method='POST' id='trinity-save-publisher-token'>
            <input type='text' class='regular-text' minlength="32" maxlength="32" required
              name='<?php echo TRINITY_AUDIO_PUBLISHER_TOKEN; ?>'
              id='<?php echo TRINITY_AUDIO_PUBLISHER_TOKEN; ?>'
              spellcheck='false' />
            <button class='button button-primary'>Save</button>
            <div class='publisher-token-notification'></div>
            <p class='description'>Enter an Account Key if you have one. It allows to connect your Wordpress Installation to your Trinity Audio Account.</p>
          </form>
        <?php } ?>
      </td>
    </tr>
  </table>

  <h1>Technical info</h1>

  <table class="form-table">
    <tr>
      <th>
        <label>PHP Configuration:</label>
      </th>
      <td><?php trinity_info_tech_show_config(); ?></td>
    </tr>
    <tr>
      <th>
        <label>Connection:</label>
      </th>
      <td>
        <table class="trinity-inner">
          <thead>
          <tr>
            <td>Checking</td>
            <td>Result</td>
          </tr>
          </thead>
          <tbody>
          <tr>
            <td>
              DNS resolving hostname #1
            </td>
            <td>
              <?php echo gethostbyname(TRINITY_AUDIO_TEST_HOST); ?>
            </td>
          </tr>
          <tr>
            <td>
              DNS resolving hostname #2
            </td>
            <td>
              <?php echo gethostbyname(TRINITY_AUDIO_SERVICE_HOST); ?>
            </td>
          </tr>
          <tr>
            <td>
              DNS records
            </td>
            <td class="trinity-monospace"><?php echo trinity_init_checks_get_DNS_info(); ?></td>
          </tr>
          <tr>
            <td>
              Speed and ability to connect to <strong>endpoint #1</strong> using wp_remote_get
            </td>
            <td>
              <?php echo trinity_init_checks_speed_wp(TRINITY_AUDIO_TEST_SERVICE); ?> ms
            </td>
          </tr>
          <tr>
            <td>
              Speed and ability to connect to <strong>endpoint #1</strong> using curl
            </td>
            <td>
              <?php echo trinity_init_checks_speed_curl(TRINITY_AUDIO_TEST_SERVICE); ?> ms
            </td>
          </tr>
          <tr>
            <td>
              Speed and ability to connect to <strong>endpoint #2</strong> using wp_remote_get
            </td>
            <td>
              <?php echo trinity_init_checks_speed_wp(TRINITY_AUDIO_LANGUAGES_URL); ?> ms
            </td>
          </tr>
          <tr>
            <td>
              Speed and ability to connect to <strong>endpoint #2</strong> using curl
            </td>
            <td>
              <?php echo trinity_init_checks_speed_curl(TRINITY_AUDIO_LANGUAGES_URL); ?> ms
            </td>
          </tr>
          </tbody>
        </table>
      </td>
    </tr>
    <tr class="trinity-phpinfo trinity-hide">
      <th>
        <label>PHP Info:</label>
      </th>
      <td>
        <?php
          ob_start();
          require_once __DIR__ . '/phpinfo.php';
          $contents = ob_get_contents();
          ob_end_clean();
          echo "<iframe srcdoc='$contents'></iframe>";
        ?>
      </td>
      <td>
    </tr>
  </table>
</div>
